Bug 864481 - Review Request: Django14 - A high-level Python Web framework
Review Request: Django14 - A high-level Python Web framework
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Massimo Paladin
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 848733
  Show dependency treegraph
 
Reported: 2012-10-09 08:50 EDT by Matthias Runge
Modified: 2013-09-19 19:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 06:32:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
massimo.paladin: fedora‑review+
jonathansteffan: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2012-10-09 08:50:11 EDT
Spec URL: http://www.matthias-runge.de/fedora/Django14.spec
SRPM URL: http://www.matthias-runge.de/fedora/Django14-1.4.1-1.el6.src.rpm
Description: Django is a high-level Python Web framework that encourages rapid
development and a clean, pragmatic design. It focuses on automating as
much as possible and adhering to the DRY (Don't Repeat Yourself)
principle.

Fedora Account System Username: mrunge

Please note, this version is intended for EPEL6 only, and there is also an older version not to be replaced.
Comment 1 Massimo Paladin 2012-10-12 07:32:07 EDT
Hi Matthias,

here is the package review:

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[x]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Conflicts
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find LICENSE-JQUERY.txt in rpm(s)
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
     Note: Cannot find LICENSE-JQUERY.txt in rpm(s)
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "MIT/X11 (BSD like)", "Apache (v2.0)", "PSF (v2)",
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/mpaladin/reviews/864481-Django14/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[x]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (Django-1.4-no-internet-connection-tests.patch) Patch1
     (Django-1.4-relax-scalability-req.patch) Source0 (Django-1.4.1.tar.gz)
     Source1 (simplejson-init.py)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define.
     Note: %define python_sitelib %(%{__python} -c "from distutils.sysconfig
     import get_python_lib; print get_python_lib()")} %define pyver
     %(%{__python} -c "import sys ; print sys.version[:5]")}

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: Django14-doc-1.4.1-1.el6.noarch.rpm
          Django14-1.4.1-1.el6.src.rpm
          Django14-1.4.1-1.el6.noarch.rpm
Django14.src: W: spelling-error %description -l en_US Django -> Fandango
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint Django14 Django14-doc
rpmdb: /var/lib/rpm/Name: unexpected file type or format
error: cannot open Name index using db3 - Invalid argument (22)
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading Django14: 'Django14'
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading Django14-doc: 'Django14-doc'
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
Django14-doc-1.4.1-1.el6.noarch.rpm (rpmlib, GLIBC filtered):
    
    Django14 = 1.4.1-1.el6

Django14-1.4.1-1.el6.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    /usr/bin/python  
    config(Django14) = 1.4.1-1.el6
    python(abi) = 2.6
    python-simplejson  



Provides
--------
Django14-doc-1.4.1-1.el6.noarch.rpm:
    
    Django14-doc = 1.4.1-1.el6
    Django14-docs = 1.4.1-1.el6

Django14-1.4.1-1.el6.noarch.rpm:
    
    Django14 = 1.4.1-1.el6
    config(Django14) = 1.4.1-1.el6



MD5-sum check
-------------
http://pypi.python.org/packages/source/D/Django/Django-1.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 4d8d20eba350d3d29613cc5a6302d5c23730c7f9e150985bc58b3175b755409b
  CHECKSUM(SHA256) upstream package : 4d8d20eba350d3d29613cc5a6302d5c23730c7f9e150985bc58b3175b755409b


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: epel-6-x86_64


Apart for the global/define and the jquery license file the package looks fine to me.
I saw that "define" is also used in the other django packages, do you think is good idea to change it?
jquery license file warning appears also for the other django packages, is it a false alarm or it fine like this?
Comment 2 Matthias Runge 2012-10-12 08:12:31 EDT
Hi Massimo,

thank you for the review!

I changed the spec:
- replaced %define with %global
- included LICENSE-JQUERY.txt in %doc

SPEC: http://www.matthias-runge.de/fedora/Django14.spec
SRPM: http://www.matthias-runge.de/fedora/Django14-1.4.1-2.el6.src.rpm

It looks like I should change the other Django packages as well.
Comment 3 Massimo Paladin 2012-10-12 10:14:52 EDT
Hi Matthias,

the package looks fine to me:

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Conflicts


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "MIT/X11 (BSD like)", "Apache (v2.0)", "PSF (v2)",
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/mpaladin/reviews/864481-Django14/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: No %config files under /usr.
[!]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

Python:
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (Django-1.4-no-internet-connection-tests.patch) Patch1
     (Django-1.4-relax-scalability-req.patch) Source0 (Django-1.4.1.tar.gz)
     Source1 (simplejson-init.py)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: Django14-doc-1.4.1-2.el6.noarch.rpm
          Django14-1.4.1-2.el6.src.rpm
          Django14-1.4.1-2.el6.noarch.rpm
Django14.src: W: spelling-error %description -l en_US Django -> Fandango
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint Django14 Django14-doc
rpmdb: /var/lib/rpm/Name: unexpected file type or format
error: cannot open Name index using db3 - Invalid argument (22)
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading Django14: 'Django14'
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading Django14-doc: 'Django14-doc'
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
Django14-doc-1.4.1-2.el6.noarch.rpm (rpmlib, GLIBC filtered):
    
    Django14 = 1.4.1-2.el6

Django14-1.4.1-2.el6.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    /usr/bin/python  
    config(Django14) = 1.4.1-2.el6
    python(abi) = 2.6
    python-simplejson  



Provides
--------
Django14-doc-1.4.1-2.el6.noarch.rpm:
    
    Django14-doc = 1.4.1-2.el6
    Django14-docs = 1.4.1-2.el6

Django14-1.4.1-2.el6.noarch.rpm:
    
    Django14 = 1.4.1-2.el6
    config(Django14) = 1.4.1-2.el6



MD5-sum check
-------------
http://pypi.python.org/packages/source/D/Django/Django-1.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 4d8d20eba350d3d29613cc5a6302d5c23730c7f9e150985bc58b3175b755409b
  CHECKSUM(SHA256) upstream package : 4d8d20eba350d3d29613cc5a6302d5c23730c7f9e150985bc58b3175b755409b


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: epel-6-x86_64


[!] conflict is justified
[!] patches names is a SHOULD
Comment 4 Massimo Paladin 2012-10-12 10:15:23 EDT
Package approved for el6.
Comment 5 Matthias Runge 2012-10-15 02:30:34 EDT
Massimo, thank you for the review!

New Package SCM Request
=======================
Package Name: Django14
Short Description: A high-level Python Web framework
Owners: mrunge
Branches: el6
Comment 6 Gwyn Ciesla 2012-10-15 11:06:48 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-10-16 03:25:17 EDT
Django14-1.4.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Django14-1.4.1-2.el6
Comment 8 Fedora Update System 2012-10-16 14:05:59 EDT
Django14-1.4.1-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 9 Fedora Update System 2012-10-22 07:43:05 EDT
Django14-1.4.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Django14-1.4.2-2.el6
Comment 10 Jonathan Steffan 2013-09-19 19:03:45 EDT
New Package SCM Request
=======================
Package Name: Django14
Short Description: A high-level Python Web framework
Owners: jsteffan
Branches: el5
Comment 11 Jonathan Steffan 2013-09-19 19:42:28 EDT
Retracting this request until we get python26-sphinx10 in EPEL5.

Note You need to log in before you can comment on or make changes to this bug.